=== experiments/washsales/Makefile ===
#!/usr/bin/env make

wash:
	$(PWD)/wash_calculator.py $(L) HOOL HOOLB

test:
	pytest $(PWD)
