=== debian/changelog ===
beancount (2.2.0-3) unstable; urgency=medium

  [ Santiago Vila ]
  * patches/0003: Ignore FileNotFoundError from self.tmpdir.cleanup().
    Fixes a FTBFS problem which happens randomly (Closes: #923606)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 21 Apr 2019 17:00:36 +0200

beancount (2.2.0-2) unstable; urgency=medium

  * rules: do not ship *.picklecache files with Python examples (fixes
    build unreproducibility on armhf)
  * manpages/whatis.txt: provide sensible whatis entries for manpages
    (fixes lintian warnings)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 14 Jan 2019 10:01:37 +0100

beancount (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 08 Jan 2019 21:31:17 +0100

beancount (2.1.3+hg20181225-3) unstable; urgency=medium

  * rules: do not ship __pycache__ dirs with Python examples
  * control: bump Standards-Version, no changes needed
  * compat: bump debhelper level to 12

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 07 Jan 2019 13:45:11 +0100

beancount (2.1.3+hg20181225-2) unstable; urgency=medium

  * rules: simplify manpage dir creation
  * ship upstream examples
  * ship upstream info about where to find online documentation
  * copyright: release packaging files under GPL2 or later
  * copyright: document missing copyright and license for
    beancount/web/third_party/sorttable.js (Closes: #917960)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Jan 2019 19:09:05 +0100

beancount (2.1.3+hg20181225-1) experimental; urgency=medium

  [ Nicolas Dandrimont ]
  * Initial release. (Closes: #799626)
  * patches/0001: remove fonts.googleapis.com links from bean-web template

  [ Stefano Zacchiroli ]
  * Update to upstream version 2.1.3 + recent hg snapshot
  * patches/0002: make test_version more lax to accept non git/hg versions

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 26 Dec 2018 09:05:09 +0100
