=== debian/control ===
Source: beancount
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>, Stefano Zacchiroli <zack@debian.org>
Vcs-Browser: https://salsa.debian.org/python-team/applications/beancount
Vcs-Git: https://salsa.debian.org/python-team/applications/beancount.git
Homepage: http://furius.ca/beancount/
Standards-Version: 4.3.0
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-elpa,
               dh-python (>= 3~),
               gnupg,
               help2man <!nodoc>,
               ledger,
               python3-all,
               python3-all-dev,
               python3-bottle,
               python3-bs4,
               python3-chardet,
               python3-dateutil,
               python3-googleapi,
               python3-lxml,
               python3-magic,
               python3-ply,
               python3-pytest,
               python3-requests,
               python3-setuptools,
Rules-Requires-Root: no

Package: beancount
Architecture: all
Depends: python3,
         python3-beancount (<< ${source:Version}.1~),
         python3-beancount (>= ${source:Version}),
         ${elpa:Depends},
         ${misc:Depends}
Description: Double-entry accounting from text files
 A double-entry bookkeeping computer language that lets you define financial
 transaction records in a text file, read them in memory, generate a variety of
 reports from them, and provides a web interface.
 .
 The following features require the following extra dependencies to be
 installed:
  - Beancount Web [python3-bottle]
  - OFX import [python3-bs4]
  - Google Sheets upload [python3-googleapi]
  - External price imports [python3-requests]

Package: python3-beancount
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Double-entry accounting from text files - Python module
 A double-entry bookkeeping computer language that lets you define financial
 transaction records in a text file, read them in memory, generate a variety of
 reports from them, and provides a web interface.
 .
 The following features require the following extra dependencies to be
 installed:
  - Beancount Web [python3-bottle]
  - OFX import [python3-bs4]
  - Google Sheets upload [python3-googleapi]
  - External price imports [python3-requests]
 .
 This package provides the underlying Python modules for beancount, allowing
 you to write your own scripts to manipulate your ledger files.
