=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://bitbucket.org/blais/beancount/downloads/?tab=tags .*/(\d.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
