## beancount 2.2.3

=== debian/changelog ===
beancount (2.2.3-1ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:49 +0100

beancount (2.2.3-1ubuntu1) focal; urgency=medium

  * Fix segfault with python3.8, taken from upstream.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 06:39:45 +0100

beancount (2.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/changelog: Remove trailing whitespaces.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.2.3
    - Remove patch 'Ignore FileNotFoundError from self.tmpdir.cleanup()'
      The patch has been applied upstream. Refresh remaining patches.
  * Use d/watch version 4

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 24 Oct 2019 22:56:15 +0200
