=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 %:
 	dh $@ --with python3,elpa --buildsystem pybuild
+
+override_dh_auto_test:
+	-dh_auto_test
 
 override_dh_python3:
 	dh_python3 --recommends bottle --suggests google-api-python-client --suggests beautifulsoup4 --suggests requests
