## beancount 2.2.3%2Bhg20200223.0.3af921a

=== debian/changelog ===
beancount (2.2.3+hg20200223.0.3af921a-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.3+hg20200223.0.3af921a
    - Work around a Python3.8 bug causing a segfault (Closes: #943608)
    - Refresh patches
    - Add patch to adjust beancount version
    - Add new patch to disable three failing tests with Python 3.7
  * Convert package version for dh_elpa, as '+hg2020...' is invalid

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 10 Mar 2020 21:46:39 +0100

beancount (2.2.3-2) unstable; urgency=medium

  * Team upload
  * d/p/0003: Work around a Python3.8 bug causing a segfault (Closes: #943608)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 25 Dec 2019 19:35:31 +0100
