## beancount 2.2.3+hg20200223.0.3af921a

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,8 @@
 #LEX = flex -Ca
 LEX = flex
 
-YACC = bison --report=itemset --verbose
+# Note: -Wno-deprecated silences warnings about old directives from upgrading to 3.4.
+YACC = bison -Wno-deprecated --report=itemset --verbose
 FILTERYACC = sed -e 's@/\*[ \t]yacc\.c:.*\*/@@'
 TMP=/tmp
 
@@ -149,7 +150,7 @@
 # Push to github.
 github:
 	hg bookmark -r default master
-	hg push git+ssh://git@github.com/blais/beancount
+	hg push git+ssh://git@github.com/beancount/beancount
 
 # Bake a release.
 release:
@@ -240,7 +241,7 @@
 
 # Note: Keeping to 3.5 because 3.6 pylint raises an exception (as of 2017-01-15).
 #PYLINT = pylint
-PYLINT = python3 $(shell which pylint)
+PYLINT = python3 -m pylint
 
 pylint lint:
 	$(PYLINT) --rcfile=$(PWD)/etc/pylintrc $(LINT_SRCS)
