=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Vcs-Browser: https://salsa.debian.org/python-team/applications/beancount
 Vcs-Git: https://salsa.debian.org/python-team/applications/beancount.git
 Homepage: http://furius.ca/beancount/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                dh-python (>= 3~),
                gnupg,
