=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,11 @@
 
 export PYBUILD_AFTER_BUILD=chmod +x {build_dir}/beancount/tools/treeify.py {build_dir}/beancount/tools/sheets_upload.py; rm {build_dir}/beancount/scripts/setup_test.py
 export PYBUILD_TEST_ARGS=-v
-export PYBUILD_BEFORE_TEST=cp -r $(CURDIR)/beancount/utils/file_type {build_dir}/beancount/utils; cd $(CURDIR)/beancount/parser; cp lexer.l grammar.y parser.h parser.c {build_dir}/beancount/parser
+export PYBUILD_BEFORE_TEST=cp -r $(CURDIR)/beancount/utils/file_type_testdata {build_dir}/beancount/utils; cd $(CURDIR)/beancount/parser; cp lexer.l grammar.y parser.h parser.c {build_dir}/beancount/parser
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/beancount/utils; cd {build_dir}/beancount/parser; rm lexer.l grammar.y parser.h parser.c
 
 %:
 	dh $@ --with python3,elpa --buildsystem pybuild
-
-override_dh_auto_test:
-	-dh_auto_test
 
 override_dh_python3:
 	dh_python3 --recommends bottle --suggests google-api-python-client --suggests beautifulsoup4 --suggests requests
@@ -22,6 +19,9 @@
 	dh_auto_build
 
 	sed s/#VERSION#/$(DEB_VERSION_UPSTREAM)/g $(CURDIR)/debian/beancount-pkg.el.in > $(CURDIR)/editors/emacs/beancount-pkg.el
+	# Temporary fix for the hg based release, dh_elpa considers
+	# a version with a '+hg2020...' in it as invalid.
+	sed -i s/\+hg[^\"]*/.0/g $(CURDIR)/editors/emacs/beancount-pkg.el
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	cd $(CURDIR)/bin; \
