## beancount 2.3.3

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,25 @@
 #!/usr/bin/env make
 
-# Just my big old fat ledger file.
 INPUT = $(HOME)/q/office/accounting/blais.beancount
 DOWNLOADS = $(HOME)/u/Downloads
-
-GREP="grep --include="*.py" -srnE"
 TOOLS=./tools
 
-PYTHON?=python3
+PYTHON ?= python3
+PYLINT ?= $(PYTHON) -m pylint
+LEX = flex
+YACC = bison
+YFLAGS = --report=itemset --verbose -Wall -Werror
+GRAPHER = dot
+
+
+# Support PYTHON being the path to a python interpreter.
+PYVERSION = $(shell $(PYTHON) -c 'import platform; print(".".join(platform.python_version_tuple()[:2]))')
+PYCONFIG = "python$(PYVERSION)-config"
+CFLAGS += $(shell $(PYCONFIG) --cflags) -I$(PWD) -fPIE -UNDEBUG -Wno-unused-function -Wno-unused-variable
+LDFLAGS += $(shell $(PYCONFIG) --embed --ldflags)
+LDLIBS += $(shell $(PYCONFIG) --embed --libs)
 
 all: build
-
 
 # Clean everything up.
 clean:
@@ -19,54 +28,38 @@
 	rm -f $(CROOT)/grammar.h $(CROOT)/grammar.c
 	rm -f $(CROOT)/lexer.h $(CROOT)/lexer.c
 	rm -f $(CROOT)/*.so
+	rm -f $(CROOT)/tokens_test
 	find . -name __pycache__ -exec rm -r "{}" \; -prune
-
 
 # Targets to generate and compile the C parser.
 CROOT = beancount/parser
 
-# See
-# https://www.owlfolio.org/possibly-useful/flex-input-scanner-rules-are-too-complicated/
-#LEX = flex -Ca
-LEX = flex
-
-# Note: -Wno-deprecated silences warnings about old directives from upgrading to 3.4.
-YACC = bison -Wno-deprecated --report=itemset --verbose
-FILTERYACC = sed -e 's@/\*[ \t]yacc\.c:.*\*/@@'
-TMP=/tmp
-
 $(CROOT)/grammar.c $(CROOT)/grammar.h: $(CROOT)/grammar.y
-	$(YACC) -o $(CROOT)/grammar.c $<
-	(cat $(CROOT)/grammar.c | $(FILTERYACC) > $(TMP)/grammar.c ; mv $(TMP)/grammar.c $(CROOT)/grammar.c )
-	(cat $(CROOT)/grammar.h | $(FILTERYACC) > $(TMP)/grammar.h ; mv $(TMP)/grammar.h $(CROOT)/grammar.h )
-
-UNICODE_CATEGORY_RANGES_GENERATOR=$(TOOLS)/generate_unicode_category_regexps.py
-UNICODE_CATEGORY_DIR = $(CROOT)/lexer
-UNICODE_CATEGORIES = Lu Ll Lt Lo Nd Nl No
-UNICODE_CATEGORY_SOURCES = $(patsubst %, $(UNICODE_CATEGORY_DIR)/%.l, $(UNICODE_CATEGORIES))
-$(UNICODE_CATEGORY_SOURCES): $(UNICODE_CATEGORY_DIR)/%.l :
-	$(PYTHON) $(UNICODE_CATEGORY_RANGES_GENERATOR) \
-		--format=lex --name=UTF-8-$* --categories=$* >$@
-
-# Note that flex parses the files in the given order.
-#LEXER_SOURCES = $(UNICODE_CATEGORY_SOURCES) $(CROOT)/lexer.l
-#$(CROOT)/lexer.c $(CROOT)/lexer.h: $(LEXER_SOURCES) $(CROOT)/grammar.h
-#	$(LEX) --outfile=$(CROOT)/lexer.c --header-file=$(CROOT)/lexer.h $(LEXER_SOURCES)
-#	patch -p1 < $(CROOT)/lexer.patch
-FLEX_VERSION=$(shell $(LEX) -V)
+	$(YACC) $(YFLAGS) -o $(CROOT)/grammar.c $<
+
 $(CROOT)/lexer.c $(CROOT)/lexer.h: $(CROOT)/lexer.l $(CROOT)/grammar.h
 	$(LEX) --outfile=$(CROOT)/lexer.c --header-file=$(CROOT)/lexer.h $<
 
 
 SOURCES =					\
+	$(CROOT)/decimal.c			\
+	$(CROOT)/decimal.h 			\
 	$(CROOT)/lexer.c			\
 	$(CROOT)/lexer.h			\
 	$(CROOT)/grammar.c			\
-	$(CROOT)/grammar.h
+	$(CROOT)/grammar.h			\
+	$(CROOT)/macros.h			\
+	$(CROOT)/tokens.h
 
 .PHONY: build
 build: $(SOURCES)
 	$(PYTHON) setup.py build_ext -i
+
+$(CROOT)/tokens_test: $(CROOT)/tokens_test.o $(CROOT)/tokens.o $(CROOT)/decimal.o
+
+.PHONY: ctest
+ctest: $(CROOT)/tokens_test
+	$(CROOT)/tokens_test
 
 build35: $(SOURCES)
 	python3.5 setup.py build_ext -i
@@ -120,7 +113,6 @@
 	beancount/load.*\.py		 	load			\
 	beancount                        	load
 
-GRAPHER = dot
 
 build/beancount.pdf: build/beancount.deps
 	cat $< | sfood-cluster-regexp $(CLUSTERS_REGEXPS) | grep -v /tests | sfood-graph | $(GRAPHER) -Tps | ps2pdf - $@
@@ -146,16 +138,9 @@
 debug:
 	gdb --args $(PYTHON) /home/blais/p/beancount/bin/bean-sandbox $(INPUT)
 
-
-# Push to github.
-github:
-	hg bookmark -r default master
-	hg push git+ssh://git@github.com/beancount/beancount
-
-# Bake a release.
+# Bake a release, upload the source.
 release:
-	$(PYTHON) setup.py register sdist upload
-
+	twine upload dist/*.tar.gz
 
 vtest vtests verbose-test verbose-tests:
 	$(PYTHON) -m pytest -v -s beancount examples
@@ -180,14 +165,10 @@
 	bin/bean-web --debug examples/demo.beancount
 
 
-# Generate the tutorial files from the example file.
+# Generate the example file.
 EXAMPLE=examples/example.beancount
 example $(EXAMPLE):
 	./bin/bean-example --seed=0 -o $(EXAMPLE)
-
-TUTORIAL=examples/tutorial
-tutorial: $(EXAMPLE)
-	$(PYTHON) beancount/scripts/tutorial.py $(EXAMPLE) $(TUTORIAL)
 
 
 # Run the web server.
@@ -239,16 +220,12 @@
   bin/*						\
   tools/*.py
 
-# Note: Keeping to 3.5 because 3.6 pylint raises an exception (as of 2017-01-15).
-#PYLINT = pylint
-PYLINT = python3 -m pylint
-
 pylint lint:
-	$(PYLINT) --rcfile=$(PWD)/etc/pylintrc $(LINT_SRCS)
+	$(PYLINT) $(LINT_SRCS)
 
 LINT_TESTS=useless-suppression,empty-docstring
 pylint-only:
-	$(PYLINT) --rcfile=$(PWD)/etc/pylintrc --disable=all --enable=$(LINT_TESTS) $(LINT_SRCS)
+	$(PYLINT) --disable=all --enable=$(LINT_TESTS) $(LINT_SRCS)
 
 pyflakes:
 	pyflakes $(LINT_SRCS)
@@ -278,3 +255,7 @@
 
 pytype1:
 	pytype --pythonpath=$(PWD) beancount/utils/net_utils.py
+
+bazel-link:
+	rm -f beancount/parser/_parser.so
+	ln -s ../../bazel-bin/beancount/parser/_parser.so beancount/parser/_parser.so
