=== debian/changelog ===
beancount (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.3
  * Remove support for Emacs.
    Upstream has moved those files to a separate project,
    see https://github.com/beancount/beancount-mode
  * Update Standards-Version to 4.5.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 18 Nov 2020 20:13:06 +0100

beancount (2.3.1-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Support testing against multiple python3.x versions.
    (Closes: #972328)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Oct 2020 10:36:42 -0700

beancount (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.1
    - Update d/watch and d/copyright to new upstream URL
    - Refresh patches
    - New patch: Remove failing test for now
    - Revert temporary fix for dh_elpa
  * Add 'Recommends: fava' to beancount binary package
  * Use debhelper-compat v13
  * Update Standards-Version to 4.5.0, no changes needed
  * Do not generate a manpage for the BUILD script

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 Sep 2020 21:58:06 +0200
