=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: beancount
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>, Stefano Zacchiroli <zack@debian.org>
-Vcs-Browser: https://salsa.debian.org/python-team/applications/beancount
-Vcs-Git: https://salsa.debian.org/python-team/applications/beancount.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/beancount
+Vcs-Git: https://salsa.debian.org/python-team/packages/beancount.git
 Homepage: http://furius.ca/beancount/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-elpa,
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 3~),
                gnupg,
                help2man <!nodoc>,
@@ -33,8 +32,8 @@
 Depends: python3,
          python3-beancount (<< ${source:Version}.1~),
          python3-beancount (>= ${source:Version}),
-         ${elpa:Depends},
          ${misc:Depends}
+Recommends: fava
 Description: Double-entry accounting from text files
  A double-entry bookkeeping computer language that lets you define financial
  transaction records in a text file, read them in memory, generate a variety of
