=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/beancount/utils; cd {build_dir}/beancount/parser; rm lexer.l grammar.y parser.h parser.c
 
 %:
-	dh $@ --with python3,elpa --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_python3:
 	dh_python3 --recommends bottle --suggests google-api-python-client --suggests beautifulsoup4 --suggests requests
@@ -18,17 +18,13 @@
 override_dh_auto_build:
 	dh_auto_build
 
-	sed s/#VERSION#/$(DEB_VERSION_UPSTREAM)/g $(CURDIR)/debian/beancount-pkg.el.in > $(CURDIR)/editors/emacs/beancount-pkg.el
-	# Temporary fix for the hg based release, dh_elpa considers
-	# a version with a '+hg2020...' in it as invalid.
-	sed -i s/\+hg[^\"]*/.0/g $(CURDIR)/editors/emacs/beancount-pkg.el
-
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	cd $(CURDIR)/bin; \
 	  for binary in *; do \
+	    if [ "X$$binary" = "XBUILD" ]; then continue; fi ; \
 	    PYTHONPATH=$$(cd $(CURDIR); pybuild --print build_dir --interpreter python3) \
 	      help2man \
-		--name "$$(grep $$binary $(CURDIR)/debian/manpages/whatis.txt | cut -f 2)" \
+	        --name "$$(grep $$binary $(CURDIR)/debian/manpages/whatis.txt | cut -f 2)" \
 	        --no-info \
 	        --help-option=-h \
 	        --version-string=$(DEB_VERSION_UPSTREAM) \
@@ -40,10 +36,6 @@
 	dh_auto_clean
 	rm -f debian/manpages/*.1
 
-override_dh_auto_install:
-	dh_auto_install
-	rm -r $(CURDIR)/debian/tmp/usr/elisp
-
 override_dh_installexamples:
 	dh_installexamples -X __pycache__ -X .picklecache
