## beancount 2.3.5

=== Makefile ===
--- 
+++ 
@@ -140,7 +140,11 @@
 
 # Bake a release, upload the source.
 release:
-	twine upload dist/*.tar.gz
+	rm -rf dist
+	python3 setup.py sdist
+	python3.10 setup.py bdist_egg
+	python3.9 setup.py bdist_egg
+	twine upload dist/*.tar.gz dist/*.egg
 
 vtest vtests verbose-test verbose-tests:
 	$(PYTHON) -m pytest -v -s beancount examples
