=== requirements.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 ply>=3.4
 lxml>=3.0
 google-api-python-client>=1.8.2
+google_auth_oauthlib>=0.4.2
 oauth2client>=4.0
 httplib2>=0.10
 requests>=2.0
