=== debian/changelog ===
beancount (2.3.5-2) unstable; urgency=medium

  * Team upload.
  * Apply upstream proposed patch fixing quotechar FTBFS (Closes: #1024207)

 -- Blair Noctis <n@sail.ng>  Fri, 18 Nov 2022 16:45:00 +0000

beancount (2.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Blair Noctis ]
  * New upstream version 2.3.5

  [ Dr. Tobias Quathamer ]
  * Update homepage
  * Update Standards-Version to 4.6.1, no changes needed
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Oct 2022 17:45:28 +0200
