=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Nicolas Dandrimont <olasd@debian.org>, Stefano Zacchiroli <zack@debian.org>
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beancount
 Vcs-Git: https://salsa.debian.org/python-team/packages/beancount.git
-Homepage: http://furius.ca/beancount/
-Standards-Version: 4.5.1
+Homepage: https://github.com/beancount/
+Standards-Version: 4.6.1
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -19,6 +19,7 @@
                python3-chardet,
                python3-dateutil,
                python3-googleapi,
+               python3-google-auth-oauthlib,
                python3-lxml,
                python3-magic,
                python3-ply,
@@ -43,7 +44,7 @@
  installed:
   - Beancount Web [python3-bottle]
   - OFX import [python3-bs4]
-  - Google Sheets upload [python3-googleapi]
+  - Google Sheets upload [python3-googleapi python3-google-auth-oauthlib]
   - External price imports [python3-requests]
 
 Package: python3-beancount
@@ -61,7 +62,7 @@
  installed:
   - Beancount Web [python3-bottle]
   - OFX import [python3-bs4]
-  - Google Sheets upload [python3-googleapi]
+  - Google Sheets upload [python3-googleapi python3-google-auth-oauthlib]
   - External price imports [python3-requests]
  .
  This package provides the underlying Python modules for beancount, allowing
