=== requirements.txt ===
setuptools>=60.0; python_version >= '3.12'
beautifulsoup4>=4
chardet>=5.0
bottle>=0.12
google-api-python-client>=1.8.2
google_auth_oauthlib>=0.4.2
httplib2>=0.10
lxml>=3.0
oauth2client>=4.0
ply>=3.4
python-dateutil>=2.6.0
python-magic>=0.4.12; sys_platform != 'win32'
requests>=2.0
