=== debian/changelog ===
beancount (2.3.6-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:36:01 +0000

beancount (2.3.6-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    + Fix compatibility with python3.12. (Closes: #1055684)
  * debian/control:
    + Add new build-dependency to python3-oauth2client.
    + Add new build-test-dependency python3-pdfminer.
    + Mark python3-pytest and python3-pdfminer as <!nocheck>.
    + Replace dh-python with dh-sequence-python3.
    + Bump Standards-Version to 4.6.2.
  * debian/rules:
    + Do not override dh_missing.
    + Remove now useless "--with python3" parameter.
    + Use "execute_after_dh_*" targets when possible.
    + Rename base beancount directory in dh_auto_test to avoid importing
      the wrong beancount library during test.
  * debian/patches/:
    - Drop old patch on quotechar, upstream has an alternative fix.
    - Drop old patch on testimport.py, merged upstream.
    + debian/patches/backport/: Backport trunk commits till 2023-11-19.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Dec 2023 00:31:17 -0500

beancount (2.3.5-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not disable pie in hardening to avoid FTBFS
    with LTO. Now we enable all default hardening flags and do not
    explicitly disable any hardening feature. (Closes: #1015359)

 -- Boyuan Yang <byang@debian.org>  Fri, 13 Oct 2023 09:31:42 -0400
