=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beancount
 Vcs-Git: https://salsa.debian.org/python-team/packages/beancount.git
 Homepage: https://github.com/beancount/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 3~),
+               dh-sequence-python3,
                gnupg,
                help2man <!nodoc>,
                ledger,
@@ -22,8 +22,10 @@
                python3-google-auth-oauthlib,
                python3-lxml,
                python3-magic,
+               python3-oauth2client,
+               python3-pdfminer <!nocheck>,
                python3-ply,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
 Rules-Requires-Root: no
