=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_AFTER_BUILD=chmod +x {build_dir}/beancount/tools/treeify.py {build_dir}/beancount/tools/sheets_upload.py; rm {build_dir}/beancount/scripts/setup_test.py
export PYBUILD_TEST_ARGS=-v
export PYBUILD_BEFORE_TEST=cp -r $(CURDIR)/beancount/utils/file_type_testdata {build_dir}/beancount/utils; cd $(CURDIR)/beancount/parser; cp lexer.l grammar.y parser.h parser.c {build_dir}/beancount/parser; mv $(CURDIR)/beancount $(CURDIR)/beancount_backup
export PYBUILD_AFTER_TEST=mv $(CURDIR)/beancount_backup $(CURDIR)/beancount; rm -r {build_dir}/beancount/utils; cd {build_dir}/beancount/parser; rm lexer.l grammar.y parser.h parser.c

%:
	dh $@ --buildsystem pybuild

override_dh_python3:
	dh_python3 --recommends bottle --suggests google-api-python-client --suggests beautifulsoup4 --suggests requests

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	cd $(CURDIR)/bin; \
	  for binary in *; do \
	    if [ "X$$binary" = "XBUILD" ]; then continue; fi ; \
	    PYTHONPATH=$$(cd $(CURDIR); pybuild --print build_dir --interpreter python3) \
	      help2man \
	        --name "$$(grep $$binary $(CURDIR)/debian/manpages/whatis.txt | cut -f 2)" \
	        --no-info \
	        --help-option=-h \
	        --version-string=$(DEB_VERSION_UPSTREAM) \
	        ./$$binary > $(CURDIR)/debian/manpages/$$binary.1 ; \
	  done
endif

execute_after_dh_auto_clean:
	rm -f debian/manpages/*.1

override_dh_installexamples:
	dh_installexamples -X __pycache__ -X .picklecache
