## beancount 3.0.0

=== debian/changelog ===
beancount (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/patches/backport/:
    + 0004-lexer_test.py-Cherry-pick-from-trunk-for-Python3.13-.patch:
      Cherry-pick upstream latest version of lexer_test.py for Python
      3.13 compatibility.
  * debian/rules: Re-enable test_lex_indent.
  * debian/rules: Also strip the executable bits of installed .py files.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Dec 2024 15:33:05 -0500

beancount (3.0.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 3.0.0. (Closes: #1082361, #1086121)
  * debian/rules: Remove instructions on removed files:
    - sheets_upload.py
    - setup_test.py
  * debian/rules: Simplify instruction on pytest.
  * debian/rules: Skip some failing tests, need to look into them later.
  * debian/rules: Skip some help2man generation, need to look into them later.
  * debian/patches/: Drop patches no longer applicable.
    - 0001-Remove-fonts.googleapis.com-links: Dropped, no longer applicable.
    - Drop all backported patches.
    - backport/0004-Remove-cgi-module.patch: Drop usage of cgi module
      (Closes: #1084528)
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Move package description to source package section.
  * debian/control: Add new build-deps:
    + pybuild-plugin-pyproject, python3-mesonpy, python3-regex.
    + pkgconf.
    - python3-chardet.
  * debian/control: Manually add python3 dependencies due to automated
    dependency detection not processing optional plugin dependencies.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Dec 2024 12:44:01 -0500

beancount (2.3.6-2) unstable; urgency=medium

  * Team upload.
  * Remove Build-Depends on python3-oauth2client.
    Beancount 2.3.6-1 introduced a dependency on python3-oauth2client which
    has unfortunately been deprecated for 7 years now. Currently, beancount
    has been removed from testing due to two RC bugs in python3-oauth2client.
    The current use seems to be solely upload-to-sheets (calling
    sheets_upload.py). Note that in the recently-released beancount 3, this
    binary has been moved in another package.
    Thanks to Adrien Nader (Closes: #1076444)
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 05 Sep 2024 21:01:33 +0200
