=== debian/control ===
Source: beancount
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Nicolas Dandrimont <olasd@debian.org>,
 Stefano Zacchiroli <zack@debian.org>,
Vcs-Browser: https://salsa.debian.org/python-team/packages/beancount
Vcs-Git: https://salsa.debian.org/python-team/packages/beancount.git
Homepage: https://github.com/beancount/
Standards-Version: 4.7.0
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 gnupg,
 help2man <!nodoc>,
 ledger,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all,
 python3-all-dev,
 python3-bottle,
 python3-bs4,
 python3-click (>= 7.0),
 python3-dateutil (>= 2.6.0),
 python3-google-auth-oauthlib,
 python3-googleapi,
 python3-lxml,
 python3-magic,
 python3-mesonpy,
 python3-pdfminer <!nocheck>,
 python3-ply,
 python3-pytest <!nocheck>,
 python3-regex,
 python3-requests,
 python3-setuptools,
Rules-Requires-Root: no
Description: Double-entry accounting from text files
 A double-entry bookkeeping computer language that lets you define financial
 transaction records in a text file, read them in memory, generate a variety of
 reports from them, and provides a web interface.
 .
 The following features require the following extra dependencies to be
 installed:
  - Beancount Web [python3-bottle]
  - OFX import [python3-bs4]
  - Google Sheets upload [python3-googleapi python3-google-auth-oauthlib]
  - External price imports [python3-requests]

Package: beancount
Architecture: all
Depends:
 python3,
 python3-beancount (<< ${source:Version}.1~),
 python3-beancount (>= ${source:Version}),
 ${misc:Depends},
Recommends:
 fava,
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-beancount
Architecture: any
Section: python
Depends:
 python3-googleapi,
 python3-lxml,
 python3-magic,
 python3-ply,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: ${source:Synopsis} - Python module
 ${source:Extended-Description}
 .
 This package provides the underlying Python modules for beancount, allowing
 you to write your own scripts to manipulate your ledger files.
