## beancount 3.1.0

=== debian/changelog ===
beancount (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/backport/: Backport upstream commits till 2025-01-23.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:58:27 -0500

beancount (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Refresh patches and drop backported patches.
  * debian/control: Add explicit build-dep to bison and flex.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 10:43:04 -0500
