=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
 Section: utils
 Priority: optional
 Build-Depends:
+ bison,
  debhelper-compat (= 13),
  dh-sequence-python3,
+ flex,
  gnupg,
  help2man <!nodoc>,
  ledger,
+ meson,
  pkgconf,
  pybuild-plugin-pyproject,
  python3-all,
