## beancount 3.2.0

=== debian/changelog ===
beancount (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/backport: Dropped.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Sep 2025 13:05:41 -0400

beancount (3.1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild the package with python3.13 only. (Closes: #1098533)

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Mar 2025 19:42:32 -0500
