=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beancount
 Vcs-Git: https://salsa.debian.org/python-team/packages/beancount.git
 Homepage: https://github.com/beancount/
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: utils
 Priority: optional
 Build-Depends:
