=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/beancount-$1\.tar\.gz/ \
  https://github.com/beancount/beancount/tags .*/v?(\d\S+)\.tar\.gz
